Iam
Manage users, service principals, groups and their permissions in Accounts and Workspaces
Resolve Group Proxy Beta
POST
Resolves a group with the given external ID from the customer's IdP. If the group does not exist, it will be created in the account. If the customer is not onboarded onto Automatic Identity Management (AIM), this will return an error.
API scopes: identity
Request body
- external_idstring
Required. The external ID of the group in the customer's IdP.
Response
- groupobject
The group that was resolved.
Show child attributesHide child attributes
- account_idstring
The parent account ID for group in <Databricks>.
- group_idstring
Internal group ID of the group in <Databricks>.
- external_idstring
ExternalId of the group in the customer's IdP.
- group_namestring
Display name of the group.
Resolve Service Principal Proxy Beta
POST
Resolves a service principal with the given external ID from the customer's IdP. If the service principal does not exist, it will be created. If the customer is not onboarded onto Automatic Identity Management (AIM), this will return an error.
API scopes: identity
Request body
- external_idstring
Required. The external ID of the service principal in the customer's IdP.
Response
- service_principalobject
The service principal that was resolved.
Show child attributesHide child attributes
- account_idstring
The parent account ID for the service principal in <Databricks>.
- service_principal_idstring
Internal service principal ID of the service principal in <Databricks>.
- external_idstring
ExternalId of the service principal in the customer's IdP.
- application_idstring
Application ID of the service principal. Set at creation time and cannot be changed afterwards; when omitted, the server generates one.
- display_namestring
Display name of the service principal.
- account_sp_statusstring
The activity status of a service principal in a <Databricks> account.
Resolve User Proxy Beta
POST
Resolves a user with the given external ID from the customer's IdP. If the user does not exist, it will be created. If the customer is not onboarded onto Automatic Identity Management (AIM), this will return an error.
API scopes: identity
Request body
- external_idstring
Required. The external ID of the user in the customer's IdP.
Response
- userobject
The user that was resolved.
Show child attributesHide child attributes
- account_idstring
The accountId parent of the user in <Databricks>.
- user_idstring
Internal userId of the user in <Databricks>.
- external_idstring
ExternalId of the user in the customer's IdP.
- usernamestring
Username/email of the user.
- full_nameobject
Show child attributesHide child attributes
- given_namestring
- family_namestring
- account_user_statusstring
The activity status of a user in a <Databricks> account.